[ovs-dev] [PATCH v2 python3 2/6] travis: Dump config.log if make fails.

Ben Pfaff blp at ovn.org
Wed Sep 18 23:33:18 UTC 2019


This is sometimes useful for debugging.

Signed-off-by: Ben Pfaff <blp at ovn.org>
---
 .travis/linux-build.sh | 2 +-
 .travis/osx-build.sh   | 8 ++++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/.travis/linux-build.sh b/.travis/linux-build.sh
index 661d5e89ed70..89496e2a275b 100755
--- a/.travis/linux-build.sh
+++ b/.travis/linux-build.sh
@@ -132,7 +132,7 @@ function build_ovs()
         make -j4
         popd
     else
-        make -j4
+        make -j4 || { cat config.log; exit 1; }
     fi
 }
 
diff --git a/.travis/osx-build.sh b/.travis/osx-build.sh
index 909173061a71..bf2c13fa3c1a 100755
--- a/.travis/osx-build.sh
+++ b/.travis/osx-build.sh
@@ -13,9 +13,13 @@ function configure_ovs()
 configure_ovs $EXTRA_OPTS $*
 
 if [ "$CC" = "clang" ]; then
-    make CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
+    set make CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
 else
-    make CFLAGS="$CFLAGS $BUILD_ENV"
+    set make CFLAGS="$CFLAGS $BUILD_ENV"
+fi
+if ! "$@"; then
+    cat config.log
+    exit 1
 fi
 if [ "$TESTSUITE" ] && [ "$CC" != "clang" ]; then
     if ! make distcheck RECHECK=yes; then
-- 
2.21.0



More information about the dev mailing list